/**
 * 
 */
package infpp.oceanlife;

import java.util.LinkedList;

/**
 * A simple test class for the ocean project. The main method is located here.
 * 
 * @author tdu, akue
 * 
 * 
 * 
 */
public class OceanTest {

	/**
	 * main method sets a new ocean including graphic user
	 *         interface
	 * 
	 * @param args
	 *            the command line arguments (unused in this project)
	 * @throws Exception
	 */
	public static void main(String[] args) {		

		int width = 800; // the ocean's width in pixels
		int depth = 700; // the ocean's depth in pixels

		LinkedList<OceanObject> oceanObjects = new LinkedList<OceanObject>();

		Ocean ocean = null; // 

		try {
			ocean = new Ocean(width, depth, oceanObjects);

		} catch (Exception e) {
			System.out.println(e);
			System.exit(12);
		}

		System.out.println(ocean);


		OceanGUI oceanGUI = new OceanGUI("oceanGUI", ocean);

		oceanGUI.setVisible(true);		

	}

}
